Workflow draft guide
curl --request GET \
--url https://app.usertick.com/api/public/v1/workflows/capabilities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/workflows/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/workflows/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"publishing": "<string>",
"workflowsOnPlan": true,
"triggers": [
{
"event": "<string>",
"afterAnalysis": true,
"alarm": true
}
],
"alert": {},
"conditions": {},
"stepKinds": [
{
"kind": "<string>",
"ports": [
"<string>"
]
}
],
"actions": [
{
"key": "<string>",
"provider": "<string>",
"inputs": [
{
"key": "<string>",
"type": "<string>",
"required": true,
"maxLength": 123,
"options": [
"<string>"
]
}
],
"needsConnection": true,
"allowedOnPlan": true,
"countsAsIntegrationStep": true,
"alarmAllowed": true
}
],
"tools": [
{
"provider": "<string>",
"connections": 123,
"defaultConnection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"limits": {
"workflowsPerSurvey": 123,
"integrationStepsPerWorkflow": 123,
"steps": 123,
"wires": 123,
"conditionsPerStep": 123,
"nameMaxLength": 123,
"draftMaxBytes": 123,
"waitMinSeconds": 123,
"waitMaxSeconds": 123
}
}
Workflow draft guide
What a workflow draft takes in this organization: the starting events and the alarm’s settings, the condition fields with their operators, the step kinds, the actions with their inputs and whether the plan includes them, the organization’s connected tools with their default connection, and the plan’s limits. Needs the member’s permission to manage workflows.
Scopes: workflows:draft.
GET
/
workflows
/
capabilities
Workflow draft guide
curl --request GET \
--url https://app.usertick.com/api/public/v1/workflows/capabilities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/workflows/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/workflows/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"publishing": "<string>",
"workflowsOnPlan": true,
"triggers": [
{
"event": "<string>",
"afterAnalysis": true,
"alarm": true
}
],
"alert": {},
"conditions": {},
"stepKinds": [
{
"kind": "<string>",
"ports": [
"<string>"
]
}
],
"actions": [
{
"key": "<string>",
"provider": "<string>",
"inputs": [
{
"key": "<string>",
"type": "<string>",
"required": true,
"maxLength": 123,
"options": [
"<string>"
]
}
],
"needsConnection": true,
"allowedOnPlan": true,
"countsAsIntegrationStep": true,
"alarmAllowed": true
}
],
"tools": [
{
"provider": "<string>",
"connections": 123,
"defaultConnection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"limits": {
"workflowsPerSurvey": 123,
"integrationStepsPerWorkflow": 123,
"steps": 123,
"wires": 123,
"conditionsPerStep": 123,
"nameMaxLength": 123,
"draftMaxBytes": 123,
"waitMinSeconds": 123,
"waitMaxSeconds": 123
}
}
Authorizations
bearerAuthapiKeyHeader
Response
The guide.
Last modified on November 9, 2026